import {
	request
} from "@/utils/request";

export default {

	PointsList(data) {
		return request({
			url: "/admin/PointsGoods/PointsList",
			method: "POST",
			data,
			type: 'store'
		})
	},

	PointsSave(data) {
		return request({
			url: "/admin/PointsGoods/PointsSave",
			method: "POST",
			data,
			type: 'store'
		})
	},

	classifyList(data) {
		return request({
			url: "/admin/PointsGoods/classifyList",
			method: "POST",
			data,
			type: 'store'
		})
	},

	ClassifySave(data) {
		return request({
			url: "/admin/PointsGoods/ClassifySave",
			method: "POST",
			data,
			type: 'store'
		})
	},


	list(data) {
		return request({
			url: "/admin/PointsGoods/goodsList",
			method: "POST",
			data,
			type: 'store'
		});
	},

	goodsItem(data) {
		return request({
			url: "/admin/PointsGoods/goodsItem",
			method: "POST",
			data,
			type: 'store'
		});
	},


	goodsEdit(data) {
		return request({
			url: "/admin/PointsGoods/goodsEdit",
			method: "POST",
			data,
			type: 'store'
		});
	},

	goodsDel(data) {
		return request({
			url: "/admin/PointsGoods/goodsDel",
			method: "POST",
			data,
			type: 'store'
		});
	},


	orderList(data) {
		return request({
			url: "/admin/PointsOrder/orderList",
			method: "POST",
			data,
			type: 'store'
		});
	},

	orderSend(data) {
		return request({
			url: "/admin/PointsOrder/orderSend",
			method: "POST",
			data,
			type: 'store'
		});
	},

	GetExpressList(data) {
		return request({
			url: "/admin/PointsOrder/GetExpressList",
			method: "POST",
			data,
			type: 'store'
		});
	},

	printOrder(data) {
		return request({
			url: "/admin/PointsOrder/printOrder",
			method: "POST",
			data,
			type: 'store'
		});
	},

	updateNotes(data) {
		return request({
			url: "/admin/PointsOrder/updateNotes",
			method: "POST",
			data,
			type: 'store'
		});
	},

	confirmCancel(data) {
		return request({
			url: "/admin/PointsOrder/confirmCancel",
			method: "POST",
			data,
			type: 'store'
		});
	},
};